Bug 1975475 - [aws] terraform may fail when the bootstrap instance profile is not ready
Summary: [aws] terraform may fail when the bootstrap instance profile is not ready
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Matthew Staebler
QA Contact: Yunfei Jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-23 18:23 UTC by Matthew Staebler
Modified: 2021-10-18 17:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:36:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5028 0 None closed Bug 1975475: aws: block creation of bootstrap instance until ignition config is uploaded 2021-06-26 03:56:48 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:36:42 UTC

Description Matthew Staebler 2021-06-23 18:23:30 UTC
With the separation of terraform stages, the IAM instance profile for the bootstrap instance may not be ready when the instance is created. The AWS terraform provider should be retrying for 2 minutes in this case. However, there are frequent occurrences of the terraform provider sending a few requests and then not recognizing that it received a response for the last request. In such cases, the terraform provider waits for the remainder of the 2 minutes, but does not attempt any more requests.

~~~~~
time="2021-06-23T14:34:51Z" level=error msg="Error: Error launching source instance: InvalidParameterValue: Value (ci-op-s7yl8r13-76b4f-ktgsq-bootstrap-profile) for parameter iamInstanceProfile.name is invalid. Invalid IAM Instance Profile name"
time="2021-06-23T14:34:51Z" level=error msg="\tstatus code: 400, request id: cac73bc7-598c-486a-8263-94629722e775"
time="2021-06-23T14:34:51Z" level=error
time="2021-06-23T14:34:51Z" level=error msg="  on ../tmp/openshift-install-bootstrap-147975145/main.tf line 136, in resource \"aws_instance\" \"bootstrap\":"
time="2021-06-23T14:34:51Z" level=error msg=" 136: resource \"aws_instance\" \"bootstrap\" {"
time="2021-06-23T14:34:51Z" level=error
time="2021-06-23T14:34:51Z" level=error
time="2021-06-23T14:34:51Z" level=fatal msg="failed to fetch Cluster: failed to generate asset \"Cluster\": failed to create cluster: failed to apply Terraform: failed to complete the change"

Comment 5 Yunfei Jiang 2021-07-27 01:57:25 UTC
Thanks Russell.

Per comment 2 and comment 4, setting to VERIFIED.

Comment 8 errata-xmlrpc 2021-10-18 17:36:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.